
%global meadversion 3.0.0
%global namedversion 3.0.0.redhat-00002
%global meadalpha .redhat_00002
%global meadrel .1
%global serial 4
%global namedversionrel redhat-00002

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jakarta-servlet-jsp-jstl-api}
%{!?scl:%global pkg_name %{name}}

%define maven_version 3.0.0.redhat-00002

Name:           %{?scl_prefix}jakarta-servlet-jsp-jstl-api
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Jakarta Standard Tag Library API
Group:          Development/Java

%if %with mead
Source100: jstl-3.0.0.redhat-00002-project-sources.tar.gz
Source102: jakarta.servlet.jsp.jstl-3.0.0.redhat-00002-javadoc.jar
Source103: jakarta.servlet.jsp.jstl-3.0.0.redhat-00002.pom
Source104: jakarta-stl-spec-3.0.0.redhat-00002.zip
Source105: jakarta.servlet.jsp.jstl-api-3.0.0.redhat-00002-sources.jar
Source106: jakarta.servlet.jsp.jstl-api-3.0.0.redhat-00002.jar
Source107: tagsdoc-3.0.0.redhat-00002-sources.jar
Source108: jakarta-stl-spec-3.0.0.redhat-00002.pom
Source109: jstl-3.0.0.redhat-00002.pom
Source110: tagsdoc-3.0.0.redhat-00002.jar
Source111: jakarta.servlet.jsp.jstl-api-3.0.0.redhat-00002.pom
Source112: jakarta.servlet.jsp.jstl-3.0.0.redhat-00002.jar
Source113: jakarta.servlet.jsp.jstl-api-3.0.0.redhat-00002-javadoc.jar
Source114: tagsdoc-3.0.0.redhat-00002.pom
Source115: jakarta.servlet.jsp.jstl-3.0.0.redhat-00002-sources.jar
%endif

License:        EPL-2.0 or GPLv2 with exceptions
URL:            https://projects.eclipse.org/projects/ee4j.jstl
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jakarta-servlet-jsp-jstl-api-%{namedversion}-%{release}-root

%description
Jakarta Standard Tag Library API.


%package -n %{?scl_prefix}jakarta-servlet-jsp-jstl
Summary:        Jakarta Standard Tag Library Implementation
Group:          Development/Java


%description -n %{?scl_prefix}jakarta-servlet-jsp-jstl
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jakarta-servlet-jsp-jstl-api
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jstl-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jakarta.servlet.jsp.jstl-api-%{namedversion}.jar %{buildroot}%{_javadir}/jakarta.servlet.jsp.jstl-api-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jakarta.servlet.jsp.jstl-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jakarta.servlet.jsp.jstl-api-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jakarta.servlet.jsp.jstl-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jakarta.servlet.jsp.jstl-api-%{namedversion}-sources.jar

%{__cp} -p %{_sourcedir}/jakarta.servlet.jsp.jstl-%{namedversion}.jar %{buildroot}%{_javadir}/jakarta.servlet.jsp.jstl-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jakarta.servlet.jsp.jstl-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jakarta.servlet.jsp.jstl-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jakarta.servlet.jsp.jstl-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jakarta.servlet.jsp.jstl-%{namedversion}-sources.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jakarta-servlet-jsp-jstl-api-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jakarta.servlet.jsp.jstl-api-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jakarta.servlet.jsp.jstl-api-%{namedversion} -x META-INF/\*
%{__ln_s} jakarta-servlet-jsp-jstl-api-%{namedversion} %{buildroot}%{_javadocdir}/jakarta-servlet-jsp-jstl-api

%{__mkdir_p} %{buildroot}%{_javadocdir}/jakarta-servlet-jsp-jstl-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jakarta.servlet.jsp.jstl-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jakarta.servlet.jsp.jstl-%{namedversion} -x META-INF/\*
%{__ln_s} jakarta-servlet-jsp-jstl-%{namedversion} %{buildroot}%{_javadocdir}/jakarta-servlet-jsp-jstl

%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}jakarta-servlet-jsp-jstl-api
%defattr(0644,root,root,0755)
%doc build.metadata
%{_javadir}/jakarta.servlet.jsp.jstl-api-%{namedversion}.jar
%{_javadir}/jakarta.servlet.jsp.jstl-api.jar
%if %with javadoc
%{_javadir}/jakarta.servlet.jsp.jstl-api-%{namedversion}-javadoc.jar
%{_javadir}/jakarta.servlet.jsp.jstl-api-javadoc.jar
%endif
%{_javadir}/jakarta.servlet.jsp.jstl-api-%{namedversion}-sources.jar
%{_javadir}/jakarta.servlet.jsp.jstl-api-sources.jar

%files -n %{?scl_prefix}jakarta-servlet-jsp-jstl
%defattr(0644,root,root,0755)
%if 0
%doc build.metadata
%endif
%{_javadir}/jakarta.servlet.jsp.jstl-%{namedversion}.jar
%{_javadir}/jakarta.servlet.jsp.jstl.jar
%if %with javadoc
%{_javadir}/jakarta.servlet.jsp.jstl-%{namedversion}-javadoc.jar
%{_javadir}/jakarta.servlet.jsp.jstl-javadoc.jar
%endif
%{_javadir}/jakarta.servlet.jsp.jstl-%{namedversion}-sources.jar
%{_javadir}/jakarta.servlet.jsp.jstl-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jakarta-servlet-jsp-jstl-api-%{namedversion}
%{_javadocdir}/jakarta-servlet-jsp-jstl-api

%files -n %{?scl_prefix}jakarta-servlet-jsp-jstl-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jakarta-servlet-jsp-jstl-%{namedversion}
%{_javadocdir}/jakarta-servlet-jsp-jstl

%endif

%changelog
* Fri Mar 03 2023 cpaas-ops <cpaas-ops@redhat.com> - 3.0.0-4.redhat_00002.1
- Built by CPaaS

* Tue Dec 20 2022 cpaas-ops <cpaas-ops@redhat.com> - 3.0.0-3.redhat_00001.1
- Built by CPaaS

* Mon Sep 26 2022 Yong Yang <yyang@redhat.com> - 3.0.0-2.redhat_00001.1
- Rewrap 3.0.0.redhat-00001

* Mon Sep 26 2022 Yong Yang <yyang@redhat.com> - 3.0.0-1.redhat_00001.1
- 3.0.0.redhat-00001
